(** @author: Benoît Montagu <benoit.montagu@inria.fr>
    Copyright © Inria 2020
*)

(** The type of durations, in a human-friendly form *)
type t = {
  d: int; (** days *)
  h: int; (** hours *)
  m: int; (** minutes *)
  s: int; (** seconds *)
  ms: int; (** milli-seconds *)
}

(** Pretty-printer *)
val pp: Format.formatter -> t -> unit

(** Conversion from the format returned by [Unix.time] *)
val from_unix_time: float -> t

(** [call f] returns the result of [f ()] along with the time it took
   to compute that value *)
val call: (unit -> 'a) -> 'a * t
